package cn.com.countrygarden.bi.main.service.dup;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.dup.SiteResources;

/**
 * <pre>
 * 。场地资源service
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface SiteResourcesService {
	
	/**
	 * 查询所有的场地资源
	 * @param siteResources
	 * @return
	 */
	PageData findAllSiteResourcesControllerLike(SiteResources siteResources,HttpServletRequest request);
	
	/**
	 * 插入场地资源
	 * @param siteResources
	 * @return
	 */
	Result insertResources(SiteResources siteResources,HttpServletRequest request)throws IOException;
	
	/**
	 * 删除
	 * @param siteResources
	 * @return
	 */
	Result deleteResources(SiteResources siteResources);
	
	/**
	 * 导入
	 */
	Result excelToObject(MultipartFile mf,HttpServletRequest request,String fileName)throws Exception;
	
	List<Map<String, String>> findByDictCode(String code);
	
	String generateId(SiteResources siteResources);
	
	String uploadFile(MultipartFile file,HttpServletRequest request)throws IOException;

	List<SiteResources> findAllSiteResources(SiteResources siteResources,HttpServletRequest request);
}
